Subject: Re: [Az-Geocaching] PAGING DR. SCOTTI.......

From: "EvilFISH" <[email-masked]>
Date: Fri, 17 Jun 2005 15:55:32 -0700

I don't think so IT sure did not look like the Jim Scotti that I met in 
person :)
----- Original Message ----- 
From: "Jim Scotti" <[email-masked]>
To: <[email-masked]>
Sent: Friday, June 17, 2005 3:43 PM
Subject: Re: [Az-Geocaching] PAGING DR. SCOTTI.......

> Uh Oh, my cover is blown....
>
> Jim.
>
> On Fri, 17 Jun 2005, EvilFISH wrote:
>
>> I saw Jim Scotti on the Discovery Channel last night talking about 
>> Shoemaker Leavy.....
>
> Jim Scotti
> Lunar & Planetary Laboratory
> University of Arizona
> Tucson, AZ 85721 USA                 http://www.lpl.arizona.edu/~jscotti/
> ____________________________________________________________
> Az-Geocaching mailing list [email-masked]
> To edit your setting, subscribe or unsubscribe visit:
> http://listserv.azgeocaching.com/mailman/listinfo/az-geocaching
>
> Arizona's Geocaching Resource
> http://www.azgeocaching.com
> 

____________________________________________________________
Az-Geocaching mailing list [email-masked]
To edit your setting, subscribe or unsubscribe visit:
http://listserv.azgeocaching.com/mailman/listinfo/az-geocaching

Arizona's Geocaching Resource
http://www.azgeocaching.com